Table of Contents

## Name

XvVideoNotify - event generated for video processing

## Syntax

#include <X11/extensions/Xvlib.h>

typedef union {
int type;
XvVideoNotifyEvent xvvideo;
XvPortNotifyEvent xvport;
long pad[24];
} XvEvent;

typedef struct {
int type;
unsigned long serial;
Bool send_event;
Display *display;
Drawable drawable;
unsigned long reason;
XvPortID port_id;
Time time;
} XvVideoNotifyEvent;

Specifies the type of event: XvVideoNotify(3X) .

Number of the last request processed by the server.

True if the event was generated by a SendEvent request.

A pointer to the display the event was read from.

The drawable for which the event was generated.

The reason the event was generated: XvStarted, XvStopped, XvPreempted, XvBusy, XvHardError.

The port processing the video for which the event was generated.

## Description

## See Also

XvPutVideo(3X) , XvPutStill(3X) , XvGetVideo(3X) , XvGetStill(3X) , XvStopVideo(3X) , XvSelectVideoNotify(3X)